## qtpianobar 1.0-1

=== debian/changelog ===
qtpianobar (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Anthony Peacck <peacock73@gmail.com>  Wed, 27 Jan 2010 22:21:16 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := qtPianobar
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/opt ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qtpianobar 1.0-2

=== src/Makefile ===
#############################################################################
# Makefile for building: qtPianobar
# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Jan 26 01:42:01 2010
# Project:  src.pro
# Template: app
# Command: /usr/local/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DDATADIR="/opt/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp moc_mainwindow.cpp \
		qrc_images.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o \
		qrc_images.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qtPianobar
DESTDIR       = 
TARGET        = qtPianobar

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qtPianobar1.0.0 || $(MKDIR) .tmp/qtPianobar1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qtPianobar1.0.0/ && $(COPY_FILE) --parents mainwindow.h .tmp/qtPianobar1.0.0/ && $(COPY_FILE) --parents images.qrc .tmp/qtPianobar1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp .tmp/qtPianobar1.0.0/ && $(COPY_FILE) --parents mainwindow.ui .tmp/qtPianobar1.0.0/ && (cd `dirname .tmp/qtPianobar1.0.0` && $(TAR) qtPianobar1.0.0.tar qtPianobar1.0.0 && $(COMPRESS) qtPianobar1.0.0.tar) && $(MOVE) `dirname .tmp/qtPianobar1.0.0`/qtPianobar1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qtPianobar1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all: qrc_images.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_images.cpp
qrc_images.cpp: images.qrc \
		images/paused.png \
		images/minus.png \
		images/playing.png \
		images/stopped.png \
		images/plus-active.png \
		images/skip-active.png \
		images/plus.png \
		images/skip.png \
		images/tired.png \
		images/logoutfy3.png
	/opt/qt4-maemo5/bin/rcc -name images images.qrc -o qrc_images.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: mainwindow.ui
	/opt/qt4-maemo5/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

qrc_images.o: qrc_images.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_images.o qrc_images.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/opt/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/maemo/qtpianobar-1.0/src/qtPianobar.desktop $(INSTALL_ROOT)/opt/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/share/applications/hildon/qtPianobar.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/share/applications/hildon/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ 
	-$(INSTALL_PROGRAM) /home/maemo/qtpianobar-1.0/data/48x48/qtPianobar.png $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/
	-strip $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/qtPianobar.png


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/qtPianobar.png
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ 


install:  install_target install_desktop install_icon48  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_icon48   FORCE

FORCE:

=== debian/changelog ===
qtpianobar (1.0-2) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Anthony Peacck <peacock73@gmail.com>  Wed, 27 Jan 2010 22:21:16 +0000

=== debian/control ===
Source: qtpianobar
Section: user/multimedia
Priority: extra
Maintainer: Anthony Peacock <peacock73@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dev, libqt4-maemo5-maemo5
Standards-Version: 3.7.2

Package: qtpianobar
Architecture: armel
Depends:  libqt4-maemo5-core (>= 4.6.1~git20100122-0maemo1), libqt4-maemo5-gui (>= 4.6.1~git20100122-0maemo1), pianobar (>= 1.1-1)
Description: Qt GUI frontend for qtpianobar command line Pandora client
 Qt GUI frontend for qtpianobar command line Pandora client

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-APPNAME := qtPianobar
+APPNAME := qtpianobar
 builddir:
 	mkdir -p builddir

## qtpianobar 1.0-5

=== debian/changelog ===
qtpianobar (1.0-5) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * 1.0-5: Added album art
  * 1.0-5: Added next song dialog
  * 1.0-5: Added Username/Password menu option

 -- Anthony Peacock <peacock73@gmail.com>  Tue, 02 Feb 2010 22:21:16 +0000

## qtpianobar 1.0-6

=== Makefile ===
#############################################################################
# Makefile for building: qtpianobar
# Generated by qmake (2.01a) (Qt 4.6.1) on: Thu Jan 28 19:59:42 2010
# Project:  qtpianobar.pro
# Template: subdirs
# Command: /home/maemo/qtsdk-2010.01/qt/bin/qmake -spec /home/maemo/qtsdk-2010.01/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtpianobar.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /home/maemo/qtsdk-2010.01/qt/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /home/maemo/qtsdk-2010.01/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /home/maemo/qtsdk-2010.01/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: qtpianobar.pro  /home/maemo/qtsdk-2010.01/qt/mkspecs/linux-g++/qmake.conf /home/maemo/qtsdk-2010.01/qt/mkspecs/common/g++.conf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/common/unix.conf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/common/linux.conf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/qconfig.pri \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/qt_functions.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/qt_config.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/exclusive_builds.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/default_pre.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/debug.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/default_post.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/warn_on.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/qt.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/unix/thread.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/moc.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/resources.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/uic.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/yacc.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/lex.prf \
		/home/maemo/qtsdk-2010.01/qt/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /home/maemo/qtsdk-2010.01/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtpianobar.pro
/home/maemo/qtsdk-2010.01/qt/mkspecs/common/g++.conf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/common/unix.conf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/common/linux.conf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/qconfig.pri:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/qt_functions.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/qt_config.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/exclusive_builds.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/default_pre.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/debug.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/default_post.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/warn_on.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/qt.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/unix/thread.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/moc.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/resources.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/uic.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/yacc.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/lex.prf:
/home/maemo/qtsdk-2010.01/qt/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /home/maemo/qtsdk-2010.01/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile qtpianobar.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
-# Makefile for building: qtPianobar
-# Generated by qmake (2.01a) (Qt 4.6.1) on: Tue Jan 26 01:42:01 2010
+# Makefile for building: /targets/FREMANTLE_ARMEL/opt/qtPianobar
+# Generated by qmake (2.01a) (Qt 4.6.1) on: Wed Feb 3 05:17:28 2010
 # Project:  src.pro
 # Template: app
 # Command: /usr/local/bin/qmake -unix -o Makefile src.pro
@@ -16,7 +16,7 @@
 INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
-LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtGui -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtWebKit -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lsqlite3 -lphonon -lQtXmlPatterns -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/local/bin/qmake
@@ -70,8 +70,8 @@
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = qtPianobar
-DESTDIR       = 
-TARGET        = qtPianobar
+DESTDIR       = /targets/FREMANTLE_ARMEL/opt/
+TARGET        = /targets/FREMANTLE_ARMEL/opt/qtPianobar
 
 first: all
 ####### Implicit rules
@@ -98,6 +98,7 @@
 all: Makefile $(TARGET)
 
 $(TARGET): ui_mainwindow.h $(OBJECTS)  
+	@$(CHK_DIR_EXISTS) /targets/FREMANTLE_ARMEL/opt/ || $(MKDIR) /targets/FREMANTLE_ARMEL/opt/ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
 Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
@@ -118,8 +119,14 @@
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+		/opt/qt4-maemo5/lib/libQtWebKit.prl \
+		/opt/qt4-maemo5/lib/libphonon.prl \
+		/opt/qt4-maemo5/lib/libQtDBus.prl \
+		/opt/qt4-maemo5/lib/libQtXml.prl \
+		/opt/qt4-maemo5/lib/libQtCore.prl \
 		/opt/qt4-maemo5/lib/libQtGui.prl \
-		/opt/qt4-maemo5/lib/libQtCore.prl
+		/opt/qt4-maemo5/lib/libQtXmlPatterns.prl \
+		/opt/qt4-maemo5/lib/libQtNetwork.prl
 	$(QMAKE) -unix -o Makefile src.pro
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
@@ -139,8 +146,14 @@
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
 /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
+/opt/qt4-maemo5/lib/libQtWebKit.prl:
+/opt/qt4-maemo5/lib/libphonon.prl:
+/opt/qt4-maemo5/lib/libQtDBus.prl:
+/opt/qt4-maemo5/lib/libQtXml.prl:
+/opt/qt4-maemo5/lib/libQtCore.prl:
 /opt/qt4-maemo5/lib/libQtGui.prl:
-/opt/qt4-maemo5/lib/libQtCore.prl:
+/opt/qt4-maemo5/lib/libQtXmlPatterns.prl:
+/opt/qt4-maemo5/lib/libQtNetwork.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
@@ -176,6 +189,7 @@
 	-$(DEL_FILE) qrc_images.cpp
 qrc_images.cpp: images.qrc \
 		images/paused.png \
+		images/no-cover-art.png \
 		images/minus.png \
 		images/playing.png \
 		images/stopped.png \
@@ -225,7 +239,7 @@
 
 install_target: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/bin/ 
-	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
+	-$(INSTALL_PROGRAM) "/targets/FREMANTLE_ARMEL/opt/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
 	-$(STRIP) "$(INSTALL_ROOT)/opt/bin/$(QMAKE_TARGET)"
 
 uninstall_target:  FORCE
@@ -234,24 +248,24 @@
 
 
 install_desktop: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/opt/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/maemo/qtpianobar-1.0/src/qtPianobar.desktop $(INSTALL_ROOT)/opt/share/applications/hildon/
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
+	-$(INSTALL_FILE) /home/maemo/workspace/qtpianobar-1.2/src/qtPianobar.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_desktop:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/share/applications/hildon/qtPianobar.desktop
-	-$(DEL_DIR) $(INSTALL_ROOT)/opt/share/applications/hildon/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/qtPianobar.desktop
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
 
 
 install_icon48: first FORCE
-	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ 
-	-$(INSTALL_PROGRAM) /home/maemo/qtpianobar-1.0/data/48x48/qtPianobar.png $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/
-	-strip $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/qtPianobar.png
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
+	-$(INSTALL_PROGRAM) /home/maemo/workspace/qtpianobar-1.2/data/48x48/qtPianobar.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/
+	-strip $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/qtPianobar.png
 
 
 uninstall_icon48:  FORCE
-	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/qtPianobar.png
-	-$(DEL_DIR) $(INSTALL_ROOT)/opt/share/icons/hicolor/48x48/apps/ 
+	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/qtPianobar.png
+	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
 
 
 install:  install_target install_desktop install_icon48  FORCE

=== debian/changelog ===
qtpianobar (1.0-6) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
  * 1.0-5: Added album art
  * 1.0-5: Added next song dialog
  * 1.0-5: Added Username/Password menu option
  * 1.0-6: Better album retrieval

 -- Anthony Peacock <peacock73@gmail.com>  Tue, 03 Feb 2010 22:21:16 +0000

=== debian/control ===
Source: qtpianobar
Section: user/multimedia
Priority: extra
Maintainer: Anthony Peacock <peacock73@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-dev, libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, libgconf2-dev
Standards-Version: 3.7.2

Package: qtpianobar
Architecture: armel
Depends:  libqt4-maemo5-core (>= 4.6.1~git20100122-0maemo1), libqt4-maemo5-gui (>= 4.6.1~git20100122-0maemo1), libqt4-maemo5-dbus (>= 4.6.2~git20100128-0maemo1), libqt4-maemo5-network (>= 4.6.2~git20100128-0maemo1), libqt4-maemo5-webkit (>= 4.6.2~git20100128-0maemo1), libqt4-maemo5-xmlpatterns (>= 4.6.2~git20100128-0maemo1)
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

APPNAME := qtpianobar
builddir:
	mkdir -p builddir

builddir/Makefile:builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake PREFIX=/opt ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

        # Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=qtPianobar-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
